<?php

namespace Wp618\AntiSpider;

if ( !defined( 'ABSPATH' ) ) exit;

class Constant{
    const INSTALL_CALL = true;
    const MENU_SHOW = true;
    const AJAX_CALL = true;
    const MODEL_LIST = [
        'posts_model', 'options_model', 'visitor_model',
    ];
    const ACTION_FILTER_CHECKED = [
        'action' => true,
        'action_api' => false,
        'hook_filter' => false,
    ];

    //
    const REG_MENU_LIST = [
//        'primary' => 'Primary Menu',
//        'bottom' => 'Bottom Menu',
    ];

    // format：key, filter, default, checkbox
    const SETUP_FIELDS = [
        'general' => [
            'max_count' => ['absint', '10000'],
            'spider_list' => ['striptags', [
                'Mozilla 测试|Mozilla',
                '百度|baidu',
                '百度图片|Baiduspider-image',
                '360搜索|360spider',
                'Google|Google',
                'Google广告|AdsBot',
                '必应|bingbot',
                'soso|soso',
                '搜狗|sogou',
                '搜狗图片|pic.sogou',
                'Yandex|yandex',
                'MJ12bot|MJ12bot',
                '头条|Bytespider',
                '神马|YisouSpider',
                '华为|AspiegelBot',
                '华为花瓣|PetalBot',
                'DuckDuckGo|DuckDuckGo',
                'Ahrefs|AhrefsBot',
                'SEMrush|SemrushBot',
                'Moz.com|DotBot',
                'MauiBot|MauiBot',
                '安卓请求|OkHttp',
                'Python 请求1|requests',
                'Python 请求2|urllib',
            ], 'checkbox'],
            'anti_list' => [['striptags', 'trim'], ''],
        ],
    ];

    // admin
    const REMOVE_PERMALINK_POST_TYPE_lIST = []; // hide post type permalink
    const ADMIN_FOOTER_ICON = true; // admin footer ICON
    const ADMIN_MENU_HIDE_LIST = []; // hide menu ex: edit.php, edit-comments.php

    //
    public static function get_full_action($name){
        return App::getInstance()->get_app_item('app_prefix') . $name;
    }

}