<?php

namespace Wp618\AntiSpider;

if (!defined('ABSPATH')) exit;

?>

<div class="wrap">
    <h1 class="wp-heading-inline">通用设置</h1>
    <hr class="wp-header-end">

    <div class="notice is-dismissible notice-success hidden">
        <p><strong>设置已保存。</strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <div class="notice is-dismissible notice-error hidden">
        <p><strong></strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <nav class="nav-tab-wrapper wp-clearfix">
        <a href="#" data-target="#tab1" class="nav-tab nav-tab-active">设置选项</a>
<!--        <a href="#" data-target="#tab2" class="nav-tab">关于我们</a>-->
    </nav>

    <div>
        <form method="post" novalidate="novalidate" id="j-form">
            <input type="hidden" name="action" value="<?php echo $action; ?>">
            <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
            <input type="hidden" name="option" value="<?php echo $option; ?>">
            <div id="tab1">
                <table class="form-table" role="presentation">
                    <tbody>
                    <tr>
                        <th scope="row">最大记录数</th>
                        <td>
                            <input type="text" name="max_count" value="<?php echo esc_attr($set['max_count']); ?>" class="regular-text">
                            <p>
                                * 设定记录数量，避免记录太多数据占用数据库空间
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">搜索引擎</th>
                        <td>
                            <?php

                            $config = get_app_config(); // 直接读取，避免默认值太多
                            $in_set = isset($config['general']['spider_list']) ? $config['general']['spider_list'] : [];

                            foreach (Constant::SETUP_FIELDS['general']['spider_list'][1] as $line){
                                $arr = array_map('trim', explode('|', $line));

                                $checked = in_array($line, $in_set, true) ? ' checked' : '';

                                echo '<p><label>';
                                echo '<input type="checkbox" name="spider_list[]" value="' . $line . '"'. $checked .'> ' . $arr[0];
                                echo '</label></p>';
                            }
                            ?>

                            <p>
                                * 勾选后将被对应搜索引擎的蜘蛛将被拒绝
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">自定义</th>
                        <td>
                            <textarea class="large-text code" name="anti_list"
                                      rows="8"><?php echo esc_textarea($set['anti_list']); ?></textarea>

                            <p>
                                * 每行一个，格式：名称|User Agent特征字符<br>
                                * 比如：谷歌|google
                            </p>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <p class="submit">
                    <input type="submit" name="submit" class="button button-primary" value="保存更改">
                    <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                </p>
            </div>
            <div id="tab2" style="display:none">
                <?php
                include __DIR__ . '/part/about.php';
                ?>
            </div>
        </form>
    </div>
</div>

<?php
include_backend_upload_script();
?>

<script>
    jQuery(function ($) {
        $('.nav-tab-wrapper .nav-tab').click(function () {
            if ($(this).hasClass('nav-tab-active')) {
                return false;
            }

            let id = $(this).data('target');
            let $target = $(id);
            if ($target.length) {
                $(this).addClass('nav-tab-active').siblings().removeClass('nav-tab-active')
                $target.show().siblings().hide();
                return false;
            }
        });

        //
        $('input[type="submit"]').click(function (e){
            e.preventDefault();

            $('.notice').find('p strong').text('...');

            let $that = $(this).attr('disabled', true);
            let $spinner = $('span.spinner').css('visibility', 'visible');
            let data = $('#j-form').serialize();

            $.post(ajaxurl, data, function(json){
                let $notice = null;
                if(json.success && json.success === true){
                    $notice = $('.notice-success');
                }else{
                    $notice = $('.notice-error');
                }

                $notice.find('p strong').text(json.data.msg);
                $notice.show();
                $that.attr('disabled', false);
                $spinner.css('visibility', 'hidden');

                $('html,body').animate({scrollTop: $('h1').offset().top - 100},1000);
            }, 'json');
        });
        $('.notice button.notice-dismiss').click(function (){
            $(this).parent().hide(1000);
        });
    });
</script>